whatsapp
Get contact
Retrieve a single WhatsApp contact by ID with full details.
AuthorizationBearer <token>
API key authentication - use your Late API key as a Bearer token
In: header
Path Parameters
contactIdstring
Contact ID
Response Body
application/json
application/json
application/json
curl -X GET "https://getlate.dev/api/v1/whatsapp/contacts/string"{
"success": true,
"contact": {
"id": "string",
"phone": "string",
"waId": "string",
"name": "string",
"email": "string",
"company": "string",
"tags": [
"string"
],
"groups": [
"string"
],
"isOptedIn": true,
"optInDate": "2019-08-24T14:15:22Z",
"optOutDate": "2019-08-24T14:15:22Z",
"isBlocked": true,
"lastMessageSentAt": "2019-08-24T14:15:22Z",
"lastMessageReceivedAt": "2019-08-24T14:15:22Z",
"messagesSentCount": 0,
"messagesReceivedCount": 0,
"customFields": {},
"notes": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": "Unauthorized"
}{
"error": "Not found"
}Get business profile GET
Retrieve the WhatsApp Business profile for the account (about, address, description, email, websites, etc.).
List contacts GET
List WhatsApp contacts for an account. Supports filtering by tags, groups, opt-in status, and text search. Returns contacts sorted by name with available filter options.